/*
* Prefixed by https://autoprefixer.github.io
* PostCSS: v8.4.14,
* Autoprefixer: v10.4.7
* Browsers: last 4 version
*/

#settings, #watchDownload, #donate {
    display: none;
    position: fixed;
    z-index: 5;
    width: 100%;
    height: 100%;
    background-color: #fffc;
}

.settingsHeader {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    gap: 50px;
    -webkit-box-pack: justify;
        -ms-flex-pack: justify;
            justify-content: space-between;
    -ms-flex-wrap: nowrap;
        flex-wrap: nowrap;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
        -ms-flex-direction: row;
            flex-direction: row;
    -webkit-box-align: start;
        -ms-flex-align: start;
            align-items: flex-start;
}

.settingsHeader > h1 {
    text-transform: uppercase;
    text-align: left;
    color: #de107d;
    font-size: 30px;
    text-decoration: none;
    margin-bottom: 0;
}
.settingsOptions {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    -ms-flex-wrap: nowrap;
        flex-wrap: nowrap;
    -webkit-box-pack: justify;
        -ms-flex-pack: justify;
            justify-content: space-between;
    -webkit-box-align: start;
        -ms-flex-align: start;
            align-items: flex-start;
    gap: 10px;
}
.settingsOption {
    cursor: pointer;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: nowrap;
        flex-wrap: nowrap;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
        -ms-flex-direction: row;
            flex-direction: row;
    gap: 10px;
    color: rgba(222, 16, 125, 0.5);
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
}
.settingsOption > input {
    display: none;
}
.settingsOption > * {
    text-align: left;
    pointer-events: none;
}
.settingsOptionCheckbox {
    aspect-ratio: 1;
    min-width: 25px;
    background: whitesmoke;
    border-radius: 5px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
}
.settingsOptionCheckbox > i {
    opacity: 0;
    color: rgb(var(--WINXCOLOR_BasicPink));
}
.settingsOption input[type="checkbox"]:checked + .settingsOptionCheckbox > i {
    opacity: 1;
}

.settings-icon{
    font-size: 80px;
    color: #00b1ff;
}
.settingsOptions > .savebutton {
    width: 100%;
}

/* .dropdown */
.dropdown {
  position: relative;
  z-index: 1;
  width: 350px;
}

/* .dropdown ul */
.dropdown ul {
  margin: 0;
  padding: 0;
}

/* .dropdown input[type="radio"] */
.dropdown input[type="radio"] {
  position: absolute;
  opacity: 0;
  pointer-events: none; 
}

/* .dropdown span */
.dropdown span {
  pointer-events: none; 
  font-size: 18px;
}

/* .dropdown img */
.dropdown img {
  height: 100%;
  aspect-ratio: 16 / 9;
  border-radius: 3px;
  pointer-events: none;
}

/* .dropdown button */
.dropdown button {
  display: flex;
  align-items: center;
  width: inherit;
  height: 40px;
  cursor: pointer;
  text-align: center;
  background-color: white;
  border: none;
  padding: 0;
}

/* .dropdown .dropdown-label */
.dropdown .dropdown-label {
  width: 100%;
  padding: 7px;
  color: rgba(222, 16, 125, 0.5);
  font-size: 20px;
  height: 100%;
  display: flex;
  align-items: center;
  gap: 10px;
}

.dropdown .dropdown-label > label {
  height: 100%;
  gap: 10px;
}

.dropdown.is-open .dropdown-form {
  display: block;
}

.dropdown.is-open .dropdown-arrow {
  transform: rotate(45deg) translate(-5px, -5px);
}

.dropdown.is-open .dropdown-arrow:before {
  transform: translate(10px, 0);
}

.dropdown.is-open .dropdown-arrow:after {
  transform: rotate(90deg) translate(10px, 0);
}


.dropdown-form {
  position: absolute;
  display: none;
  width: 100%;
  background-color: white;
  -webkit-transition: 0.3s ease-in-out;
  -o-transition: 0.3s ease-in-out;
  transition: 0.3s ease-in-out;
  border-radius: 0 0 5px 5px;
  border: 15px white solid;
  -webkit-box-shadow: #ee87be 0px 0px 20px;
          box-shadow: #ee87be 0px 0px 20px;
  -webkit-clip-path: inset(0px -100px -100px -100px);
          clip-path: inset(0px -100px -100px -100px);
}

/* .dropdown-options */
.dropdown-options {
  position: relative;
  max-height: 240px;
  overflow-x: hidden;
  overflow-y: scroll;
  border-right: $border;
  border-left: $border;
  border-bottom: $border;
}

/* .option */
.dropdown-options .option {
  text-align: center;
  height: 50px;
  cursor: pointer;
  transition: 0.3s ease-in-out;
  border-bottom: 1.5px whitesmoke solid;
  color: rgba(222, 16, 125, 0.5);
  display: flex;
}

.dropdown-options .option:last-child {
  border-bottom: none;
}

.dropdown-options .option:hover {
  color: rgb(var(--WINXCOLOR_BasicPink));
}

.dropdown-options .option label {
  display: flex;
  width: 100%;
  padding: 10px;
  text-transform: none;
  cursor: pointer;
  flex-direction: row;
  justify-content: flex-start;
  height: 100%;
  align-items: center;
  gap: 10px;
}

.dropdown-arrow {
  width: 13px;
  height: 13px;
  display: inline-block;
  position: relative;
  bottom: -5px;
  left: -15px;
  -webkit-transition: 0.3s ease;
  -o-transition: 0.3s ease;
  transition: 0.3s ease;
  margin-top: 2px;
  text-align: left;
  -webkit-transform: rotate(45deg);
      -ms-transform: rotate(45deg);
          transform: rotate(45deg);
  float: right;
}
.dropdown-arrow:before {
    position: absolute;
    content: "";
    display: inline-block;
    width: 12px;
    height: 3px;
    background-color: rgb(var(--WINXCOLOR_BasicPink));
    -webkit-transition: 0.3s ease;
    -o-transition: 0.3s ease;
    transition: 0.3s ease;
  }
.dropdown-arrow:after {
    position: absolute;
    content: "";
    display: inline-block;
    width: 12px;
    height: 3px;
    background-color: rgb(var(--WINXCOLOR_BasicPink));
    -webkit-transition: 0.3s ease;
    -o-transition: 0.3s ease;
    transition: 0.3s ease;
    position: absolute;
    -webkit-transform: rotate(90deg);
        -ms-transform: rotate(90deg);
            transform: rotate(90deg);
    top: -5px;
    left: 5px;
 }

@media screen and (max-width: 969px){
    .dropdown {
        width: 100%;
    }
}

@media screen and (max-width: 700px) {
  .settingsHeader {
    -ms-flex-wrap: nowrap;
    flex-wrap: nowrap;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    gap: 10px;
  }
}

/* Media query for screens with max-width: 400px */
@media screen and (max-width: 400px) {
  .settingsHeader {
    -ms-flex-wrap: nowrap;
    flex-wrap: nowrap;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    gap: 10px;
  }
  .settingsHeader > h1 {
    font-size: 20px;
  }
  .settingsOption {
    font-size: 13px;
  }
  .settingsOptionCheckbox {
    min-width: 20px;
  }
  .savebutton {
    font-size: 12px;
  }
  .dropdown button {
    height: 40px;
    .dropdown-label {
      font-size: 16px;
    }
  }
  .dropdown-options .option {
    font-size: 16px;
    height: 40px;
  }
  .dropdown-arrow:before,
  .dropdown-arrow:after {
    width: 10px;
    height: 2px;
  }
}